The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  ВХОД  слежка  RSS
"Господа, помогите с PHP4"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы WEB технологии (Public)
Изначальное сообщение [Проследить за развитием треда]

"Господа, помогите с PHP4" 
Сообщение от Whiskey emailИскать по авторуВ закладки(ok) on 19-Сен-05, 23:55  (MSK)
Я новичек в UNIX системах, и сейчас пытаюсь поставить php4 на Linux Slackware 10
Никак не могу.... Вроде уж установил, но никак не хочет работать...
И httpd.conf поправил....
Даже в php.ini заглянул... и никак...
Вроде сайт загружается, но только Html часть, а пхп, что интересно, не хочет выполняться, но и не отображается в браузере сам код...
Только в теге <title> вставляется.... Вот, буду очень признателен если поможете
Да, Апач уже стоит.... :)
И работает ... :)
  Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх

 Оглавление

Индекс форумов | Темы | Пред. тема | След. тема
Сообщения по теме

1. "Господа, помогите с PHP4" 
Сообщение от Nim Искать по авторуВ закладки(??) on 20-Сен-05, 04:09  (MSK)
>Я новичек в UNIX системах, и сейчас пытаюсь поставить php4 на Linux
>Slackware 10
>Никак не могу.... Вроде уж установил, но никак не хочет работать...
>И httpd.conf поправил....
>Даже в php.ini заглянул... и никак...
>Вроде сайт загружается, но только Html часть, а пхп, что интересно, не
>хочет выполняться, но и не отображается в браузере сам код...
>Только в теге <title> вставляется.... Вот, буду очень признателен если поможете
>Да, Апач уже стоит.... :)
>И работает ... :)


А он как, модулем?? Можно посмотреть тестовый скрипт и участок апвчевского конфига?

  Удалить Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх

2. "Господа, помогите с PHP4" 
Сообщение от Whiskey emailИскать по авторуВ закладки(ok) on 20-Сен-05, 14:21  (MSK)
############ httpd.conf (Часть)####################

# ==> mod_php configuration settings <==
#
# PACKAGES REQUIRED:  openssl-solibs (A series) and/or openssl (N series),
#                     mysql (AP series), gmp (L series), mhash (L series),
#                     and apache (N series)
#
Include /etc/apache/mod_php.conf

# ==> mod_ssl configuration settings <==
#
# PACKAGES REQUIRED:  apache (N series) and openssl (N series)
#
#Include /etc/apache/mod_ssl.conf

######################################
############################## mod_php.conf #################
#
# mod_php - PHP Hypertext Preprocessor module
#

# Load the PHP module:
LoadModule php4_module libexec/apache/libphp4.so

# Tell Apache to feed all *.php files through the PHP module:
AddType application/x-httpd-php .php

# This will display PHP files in colored syntax form.  Use with caution.
AddType application/x-httpd-php-source .phps

################################################
Я так понимаю, что все, что нужно прописать находиться тут....
Если интересен еще какой участок, то пожалуйста....
только скажите.....

Раньше устанавливал php4 на маздай, работал замечательно, а тут не хочет...

не работает даже примитивнейщий скрипт типа
<? echo "PHP is working"; ?>

  Удалить Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх


Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ]
Пожалуйста, прежде чем написать сообщение, ознакомьтесь с данными рекомендациями.




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру